<?php if ($this->allow('comment')): ?>
    <?php
    $GLOBALS['z'] = $this->options->CDNURL;
    function threadedComments($comments, $options)
    {
        $commentClass = '';
        if ($comments->authorId) {
            if ($comments->authorId == $comments->ownerId) {
                $commentClass .= ' comment-by-author';
            } else {
                $commentClass .= ' comment-by-user';
            }
        }
        $commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent';
        if ($comments->url) {
            $author = '<a href="' . $comments->url . '" target="_blank"' . ' rel="external nofollow">' . $comments->author . '</a>';
        } else {
            $author = $comments->author;
        }
        ?>

        <li data-no-instant id="li-<?php $comments->theId(); ?>" class="comment-body<?php
        if ($comments->levels > 0) {
            echo ' comment-child';
            $comments->levelsAlt(' comment-level-odd', ' comment-level-even');
        } else {
            echo ' comment-parent';
        }
        $comments->alt(' comment-odd', ' comment-even');
        echo $commentClass;
        ?>">
            <div id="<?php $comments->theId(); ?>">
                
<?php $comments->gravatar('48', ''); ?>
                <div class="comment-main">
                    <p class="comment-at"><?php get_comment_at($comments->coid) ?></p>
                    <?php $comments->content(); ?>
                    <div class="comment-meta">
                        <span class="comment-author"><?php echo $author; ?></span>
                        <time class="comment-time"><?php $comments->date(); ?></time>
                        <span class="comment-reply"><?php $comments->reply('回复'); ?></span>
                    </div>
                </div>
            </div>


            <?php if ($comments->children) { ?>
                <div class="comment-children">
                    <?php $comments->threadedComments($options); ?>
                </div>
            <?php } ?>

        </li>
    <?php } ?>

    <div id="comments" class="cf">
        <?php $this->comments()->to($comments); ?>
        <?php if ($comments->have()): ?>
            <span
                class="comment-num"><?php $this->commentsNum(_t('No comments'), _t('1 comment'), _t('%d comments')); ?></span>

            <?php $comments->listComments(); ?>

            <?php $comments->pageNav('&laquo;', '&raquo;'); ?>

        <?php endif; ?>

        <?php if ($this->allow('comment')): ?>
        <div id="<?php $this->respondId(); ?>" class="respond">
            <div class="cancel-comment-reply"><span
                    class="response"><?php _e('如需评论，请填写表单。'); ?></span><span
                    class="cancel-reply"><?php $comments->cancelReply('取消回复'); ?></span></div>
            <form method="post" action="<?php $this->commentUrl() ?>" id="comment-form" role="form">
                <?php if ($this->user->hasLogin()): ?>
                    <p style="padding-top:10px;"><?php _e('You already login as: '); ?><a
                            href="<?php $this->options->profileUrl(); ?>"><?php $this->user->screenName(); ?></a>. <a
                            href="<?php $this->options->logoutUrl(); ?>"
                            title="Logout"><?php _e('Logout'); ?> &raquo;</a></p>
                <?php else: ?>
                <?php if ($this->remember('author', true) != "" && $this->remember('mail', true) != "") : ?>

                <p style="padding-top:10px;color:#aaa;">
                    <span onClick='showhidediv("author_info")' ;
style="cursor:pointer;color:#2479cc;"><?php $this->remember('author'); ?></span>，<?php _e('欢迎回来!(点击ID修改)'); ?>
                    <span id="cancel-comment-reply"><?php $comments->cancelReply('取消回复'); ?></span>
                </p>
                <div id="author_info" style="display:none;">
                    <?php else : ?>
                    <div id="author_info">
                        <?php endif; ?>
                        <input type="text" name="author" maxlength="12" id="author" class="form-control"
                               placeholder="<?php _e('Name *'); ?>" value="<?php $this->remember('author'); ?>">
                        <input type="email" name="mail" id="mail" class="form-control"
                               placeholder="<?php _e('Email *'); ?>" value="<?php $this->remember('mail'); ?>">
                        <input type="url" name="url" id="url" class="form-control" placeholder="<?php _e('Website'); ?>"
                               value="<?php $this->remember('url'); ?>">
                    </div>
                    <?php endif; ?>

                    <textarea name="text" id="textarea" class="form-control"
                              onkeydown="if((event.ctrlKey||event.metaKey)&&event.keyCode==13){document.getElementById('misubmit').click();return false};"
                              placeholder="<?php _e('Type your comment here...'); ?>"
                              required><?php $this->remember('text', false); ?></textarea>

			<p><input type="checkbox" value="9" id="comment-sub" name="comment-sub" required="required" autocomplete="on" required title="发表评论，请先勾选！"> <a style="font-size:14px;color:#ff0000;text-decoration:none;">提交前先勾选</a></font></p>

                    <button type="submit" class="submit" id="misubmit"><?php _e('Submit'); ?></button>
                    <?php $security = $this->widget('Widget_Security'); ?>
                    <input type="hidden" name="_" value="<?php echo $security->getToken($this->request->getReferer()) ?>">
            </form>
        </div>
    </div>
<?php else: ?>
    <h4 class="comment-close">Comment closed</h4>
<?php endif; ?>
    <script>
        function showhidediv(id) {
            var sbtitle = document.getElementById(id);
            if (sbtitle) {
                if (sbtitle.style.display == 'block') {
                    sbtitle.style.display = 'none';
                } else {
                    sbtitle.style.display = 'block';
                }
            }
        }

        (function () {
            window.TypechoComment = {
                dom: function (id) {
                    return document.getElementById(id);
                },
                create: function (tag, attr) {
                    var el = document.createElement(tag);
                    for (var key in attr) {
                        el.setAttribute(key, attr[key]);
                    }
                    return el;
                },
                reply: function (cid, coid) {
                    var comment = this.dom(cid), parent = comment.parentNode,
                        response = this.dom('<?php echo $this->respondId(); ?>'),
                        input = this.dom('comment-parent'),
                        form = 'form' == response.tagName ? response : response.getElementsByTagName('form')[0],
                        textarea = response.getElementsByTagName('textarea')[0];
                    if (null == input) {
                        input = this.create('input', {
                            'type': 'hidden',
                            'name': 'parent',
                            'id': 'comment-parent'
                        });
                        form.appendChild(input);
                    }
                    input.setAttribute('value', coid);
                    if (null == this.dom('comment-form-place-holder')) {
                        var holder = this.create('div', {
                            'id': 'comment-form-place-holder'
                        });
                        response.parentNode.insertBefore(holder, response);
                    }
                    comment.appendChild(response);
                    this.dom('cancel-comment-reply-link').style.display = '';
                    if (null != textarea && 'text' == textarea.name) {
                        textarea.focus();
                    }
                    return false;
                },
                cancelReply: function () {
                    var response = this.dom('<?php echo $this->respondId(); ?>'),
                        holder = this.dom('comment-form-place-holder'),
                        input = this.dom('comment-parent');
                    if (null != input) {
                        input.parentNode.removeChild(input);
                    }
                    if (null == holder) {
                        return true;
                    }
                    this.dom('cancel-comment-reply-link').style.display = 'none';
                    holder.parentNode.insertBefore(response, holder);
                    return false;
                }
            };
        })();
    </script>
    <?php if (!empty($this->options->pjax) && in_array('InstantClick', $this->options->pjax)): ?>
        <script type="text/javascript" data-no-instant>
            (function () {
                var event = document.addEventListener ? {
                    add: 'addEventListener',
                    focus: 'focus',
                    load: 'DOMContentLoaded'
                } : {
                    add: 'attachEvent',
                    focus: 'onfocus',
                    load: 'onload'
                };
                document[event.add](event.load, function () {
                    var r = document.getElementById('<?php echo $this->respondId(); ?>');
                    if (null != r) {
                        var forms = r.getElementsByTagName('form');
                        if (forms.length > 0) {
                            var f = forms[0],
                                textarea = f.getElementsByTagName('textarea')[0],
                                added = false;
                            if (null != textarea && 'text' == textarea.name) {
                                textarea[event.add](event.focus, function () {
                                    if (!added) {
                                        var input = document.createElement('input');
                                        input.type = 'hidden';
                                        input.name = '_';
                                        input.value = (function () {
                                            var _a8C5A = //'xr'
                                                    '8d0' + //'vI'
                                                    'vI' + /* 'mj'//'mj' */ '' + //'P'
                                                    '06' + 'd' //'chS'
                                                    + //'wo'
                                                    '0ef' + '41' //'9G'
                                                    + '8c8' //'R'
                                                    + //'p1'
                                                    'd0' + //'mi'
                                                    'mi' + 'baf' //'lu'
                                                    + 'c' //'dm'
                                                    + //'ED'
                                                    '1a9' + //'Lh'
                                                    'd9' + '6' //'luM'
                                                    + //'xH'
                                                    'f1' + //'W'
                                                    '2c7' + 'f' //'f'
                                                    + //'9'
                                                    '9' + //'Nd'
                                                    'Nd' + /* '8ys'//'8ys' */ '' + '' ///*'6Yc'*/'6Yc'
                                                    + //'H'
                                                    '0',
                                                _LceE8M = [
                                                    [3, 5],
                                                    [16, 18],
                                                    [31, 32],
                                                    [31, 32],
                                                    [31, 33]
                                                ];
                                            for (var i = 0; i < _LceE8M.length; i++) {
                                                _a8C5A = _a8C5A.substring(0, _LceE8M[i][0]) + _a8C5A.substring(_LceE8M[i][1]);
                                            }
                                            return _a8C5A;
                                        })();
                                        f.appendChild(input);
                                        added = true;
                                    }
                                });
                            }
                        }
                    }
                });
            })();
        </script>
    <?php else : ?>
    <?php endif; ?>
<?php endif; ?>